### Interface

# Meta CloseDialog

#### Description

    interface Meta.CloseDialog : GObject.Object

No description available.

#### Prerequisite

In order to implement CloseDialog, your type must inherit from`GObject`.

#### Instance methods

###### meta_close_dialog_focus

Call whenever `dialog` should receive keyboard focus, usually when the window would.

###### meta_close_dialog_hide

Hides the close dialog.

###### meta_close_dialog_is_visible

Returns whether `dialog` is currently visible.

###### meta_close_dialog_response

Responds and closes the dialog. To be called by `MetaCloseDialog` implementations.

###### meta_close_dialog_show

Shows the close dialog.

#### Properties

###### Meta.CloseDialog:window

No description available.

#### Signals

###### Meta.CloseDialog::response

No description available.

#### Interface structure

    struct MetaCloseDialogInterface {
      GTypeInterface parent_iface;
      void (* show) (
        MetaCloseDialog* dialog
      );
      void (* hide) (
        MetaCloseDialog* dialog
      );
      void (* focus) (
        MetaCloseDialog* dialog
      );

    }

No description available.

###### Interface members

`parent_iface` |
    GTypeInterface
| No description available.
`show` |
    void (* show) (
        MetaCloseDialog* dialog
      )
| No description available.
`hide` |
    void (* hide) (
        MetaCloseDialog* dialog
      )
| No description available.
`focus` |
    void (* focus) (
        MetaCloseDialog* dialog
      )
| No description available.

#### Virtual methods

###### Meta.CloseDialog.focus

Call whenever `dialog` should receive keyboard focus, usually when the window would.

###### Meta.CloseDialog.hide

Hides the close dialog.

###### Meta.CloseDialog.show

Shows the close dialog.